package picocontainer;

public class DuplicateComponentRegistrationException extends PicoRegistrationException
{
    private Class clazz;

    public DuplicateComponentRegistrationException(Class clazz)
    {
        this.clazz = clazz;
    }

    public Class getDuplicateClass()
    {
        return clazz;
    }

    public String getMessage()
    {
        return "Class " + clazz.getName() + " duplicated";
    }
}
