package picocontainer;

import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;

public class OveriddenPicoContainer extends DefaultPicoContainer
{
    private Wilma wilmaOverride;

    public OveriddenPicoContainer(Wilma wilmaOverride)
    {
        this.wilmaOverride = wilmaOverride;
    }

    protected Object makeComponentInstance(Constructor constructor, Object[] args) throws InstantiationException, IllegalAccessException, InvocationTargetException
    {

        if (constructor.getDeclaringClass() == WilmaImpl.class) {
            return wilmaOverride;
        }
        return super.makeComponentInstance(constructor, args);
    }

}
