package picocontainer;

import picocontainer.PicoStartupException;

public class UnsatisfiedDependencyStartupException extends PicoStartupException
{
    private Class classThatNeedsDeps;

    public UnsatisfiedDependencyStartupException(Class classThatNeedsDeps)
    {
        this.classThatNeedsDeps = classThatNeedsDeps;
    }

    public String getMessage()
    {
        return "Class " + classThatNeedsDeps.getName() + " needs unnamed depenencies";
    }

    public Class getClassThatNeedsDeps()
    {
        return classThatNeedsDeps;
    }
}
